<template>
    <div class="app">
        <app-header />
        <div class="container pt-4 pb-2">
            <router-view />
        </div>
        <notifications group="notification"
                       classes="vue-notification app-notification" />
    </div>
</template>

<script>
    import AppHeader from "../AppHeader";
    import { mapGetters } from 'vuex'

    export default {
        name: "Dashboard",
        components: {
            AppHeader
        },
        computed: {
            ...mapGetters([
                'get'
            ])
        },
        mounted() {
            openWeatherAPI.interceptors.request.use(config => {
                config.params.units = this.get('format');
                return config;
            });

            this.$store.commit('set', {
                key: 'favourites',
                value: this.getFromStorage('favourites')
            });
        },
        methods: {
            getFromStorage(key) {
                if (localStorage.getItem(key) === null) {
                    if (key === 'favourites') {
                        localStorage.setItem(key, '[]');
                        return [];
                    }
                } else {
                    return JSON.parse(localStorage.getItem(key));
                }
            }
        }
    }
</script>